Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.trax
Interface URIResolver

public interface URIResolver

This version of URIResolver reflects the proposal made by Michael Kay to revise the interface as defined in TRAX 0.6.

An interface that can be called by the processor to for turning the URIs used in document() and xsl:import etc into an InputSource or a Node if the processor supports the "http://xml.org/trax/features/dom/input" feature.

Node that the URIResolver is stateful (it remembers the most recent URI) so separate instances must be used in each thread.

Method Summary
`Node` | `getDOMNode(InputSource inputSource)` This will be called by the processor when it encounters an xsl:include, xsl:import, or document() function, if it needs a DOM tree.
`XMLReader` | `getXMLReader(InputSource inputSource)` This method returns the SAX2 parser to use with the InputSource obtained from this URI.

Method Detail

### getDOMNode

    public Node getDOMNode(InputSource inputSource)
                    throws TransformException

  This will be called by the processor when it encounters an xsl:include, xsl:import, or document() function, if it needs a DOM tree. The URIResolver must be prepared to return either a DOM tree, or a SAX InputSource, or both. This method must not be called unless setURI() has been called first.
  Parameters:
    `inputSource` - The value returned from the EntityResolver.

### getXMLReader

    public XMLReader getXMLReader(InputSource inputSource)
                           throws TransformException

  This method returns the SAX2 parser to use with the InputSource obtained from this URI. It may return null if any SAX2-conformant XML parser can be used, or if getInputSource() will also return null. The parser must be free for use (i.e. not currently in use for another parse().
  Parameters:
    `inputSource` - The value returned from the EntityResolver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.